LibreOffice: UnoControlNumericFieldModel Service Reference

LibreOffice LibreOffice 5.4 SDK API Reference

Included Services | Public Attributes | List of all members
UnoControlNumericFieldModel Service Referencepublished

specifies the standard model of an UnoControlNumericField. More...

`import"UnoControlNumericFieldModel.idl";`

Inheritance diagram for UnoControlNumericFieldModel:

## Included Services
service | com::sun::star::awt::UnoControlModel
Included Services inherited from UnoControlModel
service | com::sun::star::awt::UnoControlDialogElement
| This service is present when the control model is embedded in an UnoControlDialogModel. More...

## Public Attributes
com::sun::star::util::Color | BackgroundColor
| specifies the background color(RGB) of the control. More...
short | Border
| specifies the border style of the control. More...
long | BorderColor
| specifies the color of the border, if present More...
short | DecimalAccuracy
| specifies the decimal accuracy. More...
boolean | Enabled
| determines whether the control is enabled or disabled. More...
com::sun::star::awt::FontDescriptor | FontDescriptor
| specifies the font attributes of the text in the control. More...
short | FontEmphasisMark
| specifies the com::sun::star::text::FontEmphasis value of the text in the control. More...
short | FontRelief
| specifies the com::sun::star::text::FontRelief value of the text in the control. More...
string | HelpText
| specifies the help text of the control. More...
string | HelpURL
| specifies the help URL of the control. More...
boolean | HideInactiveSelection
| specifies whether the selection in the control should be hidden when the control is not active (focused). More...
boolean | Printable
| specifies that the control will be printed with the document. More...
boolean | ReadOnly
| specifies that the content of the control cannot be modified by the user. More...
boolean | Repeat
| specifies whether the mouse should show repeating behavior, i.e. More...
long | RepeatDelay
| specifies the mouse repeat delay, in milliseconds. More...
boolean | ShowThousandsSeparator
| specifies whether the thousands separator is to be displayed. More...
boolean | Spin
| specifies that the control has a spin button. More...
boolean | StrictFormat
| specifies that the value is checked during the user input. More...
boolean | Tabstop
| specifies that the control can be reached with the TAB key. More...
com::sun::star::util::Color | TextColor
| specifies the text color (RGB) of the control. More...
com::sun::star::util::Color | TextLineColor
| specifies the text line color (RGB) of the control. More...
double | Value
| specifies the value displayed in the control. More...
double | ValueMax
| specifies the maximum value that can be entered. More...
double | ValueMin
| specifies the minimum value that can be entered. More...
double | ValueStep
| specifies the value step when using the spin button. More...
short | WritingMode
| denotes the writing mode used in the control, as specified in the com::sun::star::text::WritingMode2 constants group. More...
short | MouseWheelBehavior
| defines how the mouse wheel can be used to scroll through the control's content. More...
com::sun::star::style::VerticalAlignment | VerticalAlign
| specifies the vertical alignment of the text in the control. More...
Public Attributes inherited from UnoControlModel
string | DefaultControl
| specifies the service name of the default control for this model. More...

## Additional Inherited Members
Exported Interfaces inherited from UnoControlModel
interface | com::sun::star::awt::XControlModel
interface | com::sun::star::lang::XComponent
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::beans::XMultiPropertySet
interface | com::sun::star::io::XPersistObject
interface | com::sun::star::util::XCloneable
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XMultiPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names. More...
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names. More...
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list. More...
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener. More...
Public Member Functions inherited from XPersistObject
string | getServiceName ()
| gives the service name of the object More...
void | write ([in] com::sun::star::io::XObjectOutputStream OutStream) raises ( com::sun::star::io::IOException )
| writes all the persistent data of the object to the stream. More...
void | read ([in] com::sun::star::io::XObjectInputStream InStream) raises ( com::sun::star::io::IOException )
| reads all the persistent data of the object from the stream. More...
Public Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object. More...
Protected Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Protected Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Protected Member Functions inherited from XMultiPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names. More...
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names. More...
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list. More...
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener. More...
Protected Member Functions inherited from XPersistObject
string | getServiceName ()
| gives the service name of the object More...
void | write ([in] com::sun::star::io::XObjectOutputStream OutStream) raises ( com::sun::star::io::IOException )
| writes all the persistent data of the object to the stream. More...
void | read ([in] com::sun::star::io::XObjectInputStream InStream) raises ( com::sun::star::io::IOException )
| reads all the persistent data of the object from the stream. More...
Protected Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object. More...
Protected Attributes inherited from UnoControlDialogElement
long | Height
| specifies the height of the control. More...
string | Name
| specifies the name of the control. More...
string | PositionX
| specifies the horizontal position of the control. More...
string | PositionY
| specifies the vertical position of the control. More...
long | Step
| specifies the step of the control. More...
short | TabIndex
| specifies the tabindex of the control. More...
string | Tag
| specifies the tag of the control. More...
long | Width
| specifies the width of the control. More...

## Detailed Description

specifies the standard model of an UnoControlNumericField.

## Exported Interfaces

## ◆ com::sun::star::awt::UnoControlModel

service com::sun::star::awt::UnoControlModel

## Member Data Documentation

## ◆ BackgroundColor

com::sun::star::util::Color BackgroundColor
| property

specifies the background color(RGB) of the control.

## ◆ Border

short Border
| property

specifies the border style of the control.

    0: No border
    1: 3D border
    2: simple border

## ◆ BorderColor

long BorderColor
| optionalproperty

specifies the color of the border, if present

Not every border style (see Border) may support coloring. For instance, usually a border with 3D effect will ignore the BorderColor setting.

Since
  OOo 2.0

## ◆ DecimalAccuracy

short DecimalAccuracy
| property

specifies the decimal accuracy.

## ◆ Enabled

boolean Enabled
| property

determines whether the control is enabled or disabled.

## ◆ FontDescriptor

com::sun::star::awt::FontDescriptor FontDescriptor
| property

specifies the font attributes of the text in the control.

## ◆ FontEmphasisMark

short FontEmphasisMark
| property

specifies the com::sun::star::text::FontEmphasis value of the text in the control.

## ◆ FontRelief

short FontRelief
| property

specifies the com::sun::star::text::FontRelief value of the text in the control.

## ◆ HelpText

string HelpText
| property

specifies the help text of the control.

## ◆ HelpURL

string HelpURL
| property

specifies the help URL of the control.

## ◆ HideInactiveSelection

boolean HideInactiveSelection
| optionalproperty

specifies whether the selection in the control should be hidden when the control is not active (focused).

Since
  OOo 2.0

## ◆ MouseWheelBehavior

short MouseWheelBehavior
| optionalproperty

defines how the mouse wheel can be used to scroll through the control's content.

Usually, the mouse wheel spins the numeric value displayed in the control. Using this property, and one of the MouseWheelBehavior constants, you can control under which circumstances this is possible.

## ◆ Printable

boolean Printable
| property

specifies that the control will be printed with the document.

## ◆ ReadOnly

boolean ReadOnly
| property

specifies that the content of the control cannot be modified by the user.

## ◆ Repeat

boolean Repeat
| optionalproperty

specifies whether the mouse should show repeating behavior, i.e.

repeatedly trigger an action when keeping pressed.

Since
  OOo 2.0

## ◆ RepeatDelay

long RepeatDelay
| optionalproperty

specifies the mouse repeat delay, in milliseconds.

When the user presses a mouse in a control area where this triggers an action (such as spinning the value), then usual control implementations allow to repeatedly trigger this action, without the need to release the mouse button and to press it again. The delay between two such triggers is specified with this property.

Since
  OOo 2.0

## ◆ ShowThousandsSeparator

boolean ShowThousandsSeparator
| property

specifies whether the thousands separator is to be displayed.

## ◆ Spin

boolean Spin
| property

specifies that the control has a spin button.

## ◆ StrictFormat

boolean StrictFormat
| property

specifies that the value is checked during the user input.

## ◆ Tabstop

boolean Tabstop
| property

specifies that the control can be reached with the TAB key.

## ◆ TextColor

com::sun::star::util::Color TextColor
| property

specifies the text color (RGB) of the control.

## ◆ TextLineColor

com::sun::star::util::Color TextLineColor
| property

specifies the text line color (RGB) of the control.

## ◆ Value

double Value
| property

specifies the value displayed in the control.

## ◆ ValueMax

double ValueMax
| property

specifies the maximum value that can be entered.

## ◆ ValueMin

double ValueMin
| property

specifies the minimum value that can be entered.

## ◆ ValueStep

double ValueStep
| property

specifies the value step when using the spin button.

## ◆ VerticalAlign

com::sun::star::style::VerticalAlignment VerticalAlign
| optionalproperty

specifies the vertical alignment of the text in the control.

Since
  OOo 3.3

## ◆ WritingMode

short WritingMode
| optionalproperty

denotes the writing mode used in the control, as specified in the com::sun::star::text::WritingMode2 constants group.

Only com::sun::star::text::WritingMode2::LR_TB and com::sun::star::text::WritingMode2::RL_TB are supported at the moment.

Since
  OOo 3.1

The documentation for this service was generated from the following file:

- com/sun/star/awt/UnoControlNumericFieldModel.idl